Upgrade Maria Db debian 9 Ispconfi3

Discussion in 'Installation/Configuration' started by Oitsuki, Jun 22, 2018.

  1. Oitsuki

    Oitsuki Member

    hello,
    I have an alert about mariadb because the version become too old.
    How to make an upgrade under Debian 9.
    Thank you.

    You are running MySQL version 5.5.5-10.1.26-MariaDB-0+deb9u1. While this version is compatible, future releases of our software will require version 5.6.2 or above.
     
  2. ahrasis

    ahrasis Well-Known Member

  3. Oitsuki

    Oitsuki Member

    I follow the tuto but it does'nt want : dependance pb. I am on
    Server version: 10.1.26-MariaDB-0+deb9u1 - Debian 9.1

    Les paquets suivants contiennent des dépendances non satisfaites :
    mariadb-server : Dépend: mariadb-server-10.3 (>= 1:10.3.7+maria~stretch) mais ne sera pas installé
    E: Impossible de corriger les problèmes, des paquets défectueux sont en mode « garder en l'état ».
     
  4. Taleman

    Taleman Well-Known Member HowtoForge Supporter

  5. Oitsuki

    Oitsuki Member

    I change the process and I write in manual in sources.list and the system is updated but now how to change in 10.3? I have always the same version.
    I tried to restart mariadb but it stay on the same version
    How to change the version ?
    Code:
    systemctl status mariadb
    ● mariadb.service - MariaDB database server
       Loaded: loaded (/lib/systemd/system/mariadb.service; enabled; vendor preset: enabled)
       Active: active (running) since Fri 2018-06-22 06:04:52 CEST; 7h ago
      Process: 18462 ExecStartPost=/bin/sh -c systemctl unset-environment _WSREP_START_POSITION (code=exited, status=0/SUCCESS)
      Process: 18459 ExecStartPost=/etc/mysql/debian-start (code=exited, status=0/SUCCESS)
      Process: 18330 ExecStartPre=/bin/sh -c [ ! -e /usr/bin/galera_recovery ] && VAR= ||   VAR=`/usr/bin/galera_recovery`; [ $? -eq 0 ]   && systemctl se
      Process: 18326 ExecStartPre=/bin/sh -c systemctl unset-environment _WSREP_START_POSITION (code=exited, status=0/SUCCESS)
      Process: 18324 ExecStartPre=/usr/bin/install -m 755 -o mysql -g root -d /var/run/mysqld (code=exited, status=0/SUCCESS)
     Main PID: 18428 (mysqld)
       Status: "Taking your SQL requests now..."
        Tasks: 36 (limit: 4915)
       CGroup: /system.slice/mariadb.service
               └─18428 /usr/sbin/mysqld
    
    juin 22 06:04:51 nsxxxx.ip-00000.eu systemd[1]: Starting MariaDB database server...
    juin 22 06:04:51 nsxxxx.ip-00000.eu mysqld[18428]: 2018-06-22  6:04:51 139649681232448 [Note] Using unique option prefix 'key_buffer' is error-p
    juin 22 06:04:51 nsxxxx.ip-00000.eu mysqld[18428]: 2018-06-22  6:04:51 139649681232448 [Note] /usr/sbin/mysqld (mysqld 10.1.26-MariaDB-0+deb9u1)
    juin 22 06:04:52 nsxxxx.ip-00000.eu systemd[1]: Started MariaDB database server.
    
    Tk
     
  6. Taleman

    Taleman Well-Known Member HowtoForge Supporter

    Use
    Code:
    apt-get remove
    To uninstall the version you do not want. You do have backups of all the databases?
    On the other hand, I would have assumed installing 10.3 mariadb would have removed the other mariadb. Are you sure you removed the holds and the install really did install 10.3?
     

Share This Page